<?php
session_start();

if (!defined('webid')) {
    exit();
}
if (!isset($_SESSION["username"]) && !isset($_SESSION["password"])) {
    ?>
	<script type="text/javascript">
    hax({url:'/home', id:'flax'});
    </script>
	<?php
	exit();
}

$get_mess = mysql_fetch_array(mysql_query("SELECT greeting FROM tb_users WHERE id = '$_SESSION[iduser]'"));
$get_mess['greeting'] = str_replace("<br />", "\r\n", $get_mess['greeting']);
?>
<script type="text/javascript">
function descchange(elem) {
    if (elem.value.length > 300) {
        elem.value = elem.value.substr(0,300);
    }
    $('#countsms').html('Осталось '+(300-elem.value.length)+' символов');
}

$('#ask_desc').tipTip({defaultPosition:'top'});
$('#tems').tipTip({defaultPosition:'right'});
$('#mess').tipTip({defaultPosition:'top'});
$('#comtype').tipTip({defaultPosition:'right'});
$('#comdate').tipTip({defaultPosition:'right'});
$('#commin').tipTip({defaultPosition:'right'});
$('#comrefprize1').tipTip({defaultPosition:'right'});
$('#comrefprize2').tipTip({defaultPosition:'right'});
$('#comrefprize3').tipTip({defaultPosition:'right'});

$('#addrefcom').click(function(){
    $.post('ajax.php?func=addrefcom',{
        mess : $('#mess').val(),
        tems: $('#tems').val(),
        comtype: $('#comtype').val(),
        comdate: $('#comdate').val(),
        commin: $('#commin').val(),
        comrefprize1: $('#comrefprize1').val(),
        comrefprize2: $('#comrefprize2').val(),
        comrefprize3: $('#comrefprize3').val()
    }, function(data){
        if (data == 1) {
			hax({url:'/refkonkurs', id:'flax'});
			$.jGrowl('<font color="#00CCFF">Сообщение</font><br /> Вы успешно создали конкурс!');
        } else {
			$.jGrowl('<font color="#00CCFF">Сообщение</font><br />'+data);
		}
    });
    return false;
});
</script>
<h3 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa;">Создание конкурса рефералам</h3>
<div class="header-stat">Здесь вы можете создать от себя конкурс своим рефералам, заинтересовав этим самым их к работе. Внимательно заполняйте данные, помните после создания уже нельзя будет отредактировать, или остановить конкурс, поэтому будьте максимально внимательными.</font><br><font style="color: #0099CC;">Внимание! Комиссия системы 5% от бюджета конкурса. Для создания у вас на рекламном счету должна быть сума (бюджет конкурса + 5% от его суммы)</font></div><br />
<? if ($finestatus != '0') {
    echo '
        <div class="alert alert-block alert-error fade in">
            <h4 class="alert-heading">Внимание! На ваш аккаунт наложен штраф!</h4>
            <p>Ваш акаунт частично заблокирован за нарушение правил ('.$fine_text.') Для разблокировки аккаунта, вам необходимо оплатить штраф за нарушение, если вы не согласны с этим, можете покинуть проект, ваш аккаунт будет удален в течение 10 суток.</p>
            <p>
              <a class="btn btn-danger" href="/basket">Оплатить штраф</a> <a class="btn" href="/tos">Правила</a>
            </p>
        </div>';
} else { ?>
<table class='otab' width='100%' border='0' cellpadding='0' cellspacing='1'>
    <thead>
        <th colspan="2" style="padding: 5px; background: #ebebeb;"><span style="color: #212121; font-size: 12px; font-weight: bold; text-shadow: 0 1px 0 #f7f7f7; margin-right: 250px;">Форма создания конкурса</span><span style="position: relative;"><input type="submit" name="save" class="big_btn" value="Сохранить" id="addrefcom" /></span></th>
    </thead>
	<tr>
        <td class="lt">Название</td>
        <td class="rt"><input type="text" class="val" size="45%" style="text-align: left;" value="" id="tems" title="<b>Название конкурса</b>- максимум 50 символов.<br>Название должно быть коротким и понятным.<br>Соблюдайте грамматику. Небрежное написание оттолкнёт участников.<br>Не пишите всё ЗАГЛАВНЫМИ БУКВАМИ, не ставьте множество однотипных<br>знаков типа: !!!!!! и т.д. После запятой правильно ставить знак пробела." /></td>
    </tr>
	<tr>
        <td class="lt" width="40%">Выберите вид конкурса</td>
        <td class="rt">
			<select class="timeselect" id="comtype" style="float: left; width: 300px;" title="Выберите тип конкурса">
				<option value="1">Сумма, заработаная в серфинге</option>
				<option value="2">Сумма, заработаная в письмах</option>
				<option value="3">Сумма, заработаная на заданиях</option>
			</select>
		</td>
    </tr>
	<tr>
    <td class="lt" width="40%">Количество дней</td>
        <td class="rt">
			<select class="timeselect" id="comdate" onchange="PlanChange(); return false;" style="float: left; width: 50px;" title="Выберите количество дней продолжительности конкурса с момента создания">
				<option value="1">1</option>
				<option value="2">2</option>
				<option value="3">3</option>
				<option value="4">4</option>
				<option value="5">5</option>
				<option value="6">6</option>
				<option value="7">7</option>
				<option value="8">8</option>
				<option value="9">9</option>
				<option value="10">10</option>
				<option value="11">11</option>
				<option value="12">12</option>
				<option value="13">13</option>
				<option value="14">14</option>
				<option value="15">15</option>
				<option value="16">16</option>
				<option value="17">17</option>
				<option value="18">18</option>
				<option value="19">19</option>
				<option value="20">20</option>
				<option value="21">21</option>
				<option value="22">22</option>
				<option value="23">23</option>
				<option value="24">24</option>
				<option value="25">25</option>
				<option value="26">26</option>
				<option value="27">27</option>
				<option value="28">28</option>
				<option value="29">29</option>
				<option value="30">30</option>
			</select>
		</td>
    </tr>
    <tr>
        <td class="lt">Минимум для участия</td>
        <td class="rt"><input type="text" class="val" size="6" style="text-align: left;" value="1" id="commin" title="Минимальная сумма заработанных баллов, для участия в конкурсе" /></td>
    </tr>
	<tr>
        <td class="lt">Призы за места</td>
        <td class="rt" >
			<input type="text" class="val" size="11" style="text-align: left;" value="0" id="comrefprize1" title="Первое место" />
			<input type="text" class="val" size="11" style="text-align: left;" value="0" id="comrefprize2" title="Второе место" />
			<input type="text" class="val" size="11" style="text-align: left;" value="0" id="comrefprize3" title="Третье место" />
		</td>
    </tr>
    <tr>
        <td colspan="2" style="background: #ebebeb; padding: 3px;" align="center">Описание</td>
    </tr> 
	<tr><td class="rt" colspan="2" id="countsms" style="text-align: center; padding: 5px; font-size: 11px;">Осталось 300 символов</td></tr>	
    <tr>
		<td colspan="2" align="center" style="padding: 5px; background: #ebebeb;">
			<textarea class="expanding" id='mess' onkeyup="descchange(this);" title="<b>Описание конкурса</b>- максимум 300 символов.<br>Описание конкурса должно быть информативным и понятным.<br>
			Соблюдайте грамматику. Небрежное написание оттолкнёт участников.<br>Не пишите всё ЗАГЛАВНЫМИ БУКВАМИ, не ставьте множество однотипных<br>
			знаков типа: !!!!!! и т.д. После запятой правильно ставить знак пробела."></textarea>
		</td>
    </tr>
</table>
<? } ?>